Bug 1121265

Summary: please provide a wipe option
Product: Red Hat OpenStack Reporter: Kambiz Aghaiepour <kambiz>
Component: rhel-osp-installerAssignee: Mike Burns <mburns>
Status: CLOSED EOL QA Contact: Omri Hochman <ohochman>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 5.0 (RHEL 6)CC: ddomingo, nbarcet, rhos-maint
Target Milestone: ---Keywords: TestOnly, ZStream
Target Release: Installer   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1145842 (view as bug list) Environment:
Last Closed: 2016-09-29 13:25:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1145842    

Description Kambiz Aghaiepour 2014-07-18 19:49:56 UTC
It would be nice to be able to remove all pertinent RPMs with one option that removes rhel-osp-installer, as well as any packages pulled in via dependencies, as well as removing any and all data files that might linger when packages are de-installed.  My current approach (which I recently found to be incomplete because I missed a very obvious piece, of /var/lib/pgsql ):

assuming I installed the packages on "Thu 17 Jul", is to run:

1) yum erase `rpm -qa --last | grep "Thu 17 Jul" | awk '{ print $1 }'`
2) rm -rf /var/lib/tftpboot /etc/puppet/ /var/lib/puppet/ /var/lib/dhcpd/ /etc/foreman* /var/lib/foreman/ /etc/named/ /var/named/  /var/lib/pgsql

Comment 3 Arthur Berezin 2014-09-23 15:22:27 UTC
Don, can we create a k.base on how to remove an installation of OSP-Installer?

Comment 4 Don Domingo 2014-09-24 00:02:58 UTC
Yep. Cloned for documentation (BZ#1145842).

(In reply to Arthur Berezin from comment #3)
> Don, can we create a k.base on how to remove an installation of
> OSP-Installer?

Comment 5 Jaromir Coufal 2016-09-29 13:25:26 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform